## net.i2p.router.web
Class SummaryListener

    java.lang.Object
      net.i2p.router.web.SummaryListener

All Implemented Interfaces:
  RateSummaryListener

     class SummaryListener

extends java.lang.Object
implements RateSummaryListener

Field Summary
`(package private) static int` `PERIODS`

Constructor Summary
`SummaryListener(Rate r)`

Method Summary
`void` `add(double totalValue, long eventCount, double totalEventTime, long period)`
`(package private) static java.lang.String` `createName(I2PAppContext ctx, java.lang.String wanted)` JRobin can only deal with 20 character data source names, so we need to create a unique, munged version from the user/developer-visible name.
`boolean` `equals(java.lang.Object obj)`
`(package private) org.jrobin.core.RrdDb` `getData()`
`(package private) java.lang.String` `getEventName()`
`(package private) java.lang.String` `getName()`
`Rate` `getRate()`
`int` `hashCode()`
`(package private) long` `now()`
`void` `renderPng(java.io.OutputStream out)`
`void` `renderPng(java.io.OutputStream out, int width, int height, boolean hideLegend, boolean hideGrid, boolean hideTitle, boolean showEvents, int periodCount, boolean showCredit)`
`void` `startListening()`
`void` `stopListening()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERIODS

    static final int PERIODS

See Also:
  Constant Field Values

Constructor Detail

### SummaryListener

    public SummaryListener(Rate r)

Method Detail

### add

    public void add(double totalValue,
                    long eventCount,
                    double totalEventTime,
                    long period)

  Specified by:
    `add` in interface `RateSummaryListener`
  Parameters:
    `totalValue` - sum of all event values in the most recent period
    `eventCount` - how many events occurred
    `totalEventTime` - how long the events were running for
    `period` - how long this period is

### createName

    static java.lang.String createName(I2PAppContext ctx,
                                       java.lang.String wanted)

  JRobin can only deal with 20 character data source names, so we need to create a unique, munged version from the user/developer-visible name.

### getRate

    public Rate getRate()

### startListening

    public void startListening()

### stopListening

    public void stopListening()

### renderPng

    public void renderPng(java.io.OutputStream out,
                          int width,
                          int height,
                          boolean hideLegend,
                          boolean hideGrid,
                          boolean hideTitle,
                          boolean showEvents,
                          int periodCount,
                          boolean showCredit)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderPng

    public void renderPng(java.io.OutputStream out)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getName

    java.lang.String getName()

### getEventName

    java.lang.String getEventName()

### getData

    org.jrobin.core.RrdDb getData()

### now

    long now()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`